// rand-square-edge-points.cpp
// MCS 481 project 1 description version 1.0
#include <cstdlib>
#include <ctime>
#include <cmath>
#include <iostream>

using namespace std;

double dblrand()  // return pseudorandom double in [0.0,1.0).
{
  return rand()/(double(RAND_MAX) + 1);
}

bool flip() // flip a coin
{
  double x = dblrand();
  return (x < 0.5);
}

int main()
{
  srand((unsigned)time(0)); // Seed the random generator with current time
  
  const int numpoints = 50;
  for (int i=0; i<numpoints; i++) {
    double x,y;
    // First generate a pair: 
    // x = a random number in [0,1)
    // y = either 0 or 1, equal probability
    x = dblrand();
    if (flip())     
      y = 1.0;
    else
      y = 0.0;
    // Now flip a coin to decide whether or not to swap x and y
    if (flip()) {
      double z = x;
      x = y;
      y = z;
    }
    cout << x << " " << y << endl;
  }
}
